/*
** pdes.h - Pidentd DES encryption stuff
**
** Copyright (c) 1997-1999 Peter Eriksson <pen@lysator.liu.se>
**
** This program is free software; you can redistribute it and/or
** modify it as you wish - as long as you don't claim that you wrote
** it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

#ifndef PIDENTD_PDES_H
#define PIDENTD_PDES_H

struct info
{
    UINT32 checksum;
    UINT16 random;
    /* FIXME: uid_t isn't necessarily short.  */
    UINT16 uid;
    UINT32 date;
    UINT32 ip_local;
    UINT32 ip_remote;
    UINT16 port_local;
    UINT16 port_remote;
};


typedef union data
{
    struct info   fields;
    UINT32        longs[6];
    unsigned char chars[24];
} data;

struct kernel;

extern int pdes_init(char *keyfile);
extern int pdes_encrypt(struct kernel *kp, char buffer[33]);
extern int pdes_decrypt(void);
     
#endif

